import { Dispatch, SetStateAction } from 'react';
import { UserType } from '../providers/UserAxiosProvider';
export interface UseUserReturn<T> {
    user: UserType<T>;
    setUser: Dispatch<SetStateAction<UserType<T>>>;
}
export declare const useUser: <T>() => UseUserReturn<T>;
