import React from 'react';
import { ErrorState } from '../services/requests';
interface ContextState {
    headers?: HeadersType;
    onError?: (error: ErrorState) => void;
}
export declare const AxiosContext: React.Context<ContextState>;
export declare const useAxiosContext: () => ContextState;
export declare type HeadersType = Record<string, unknown> | null;
declare type ProviderPros = React.PropsWithChildren<{
    headers?: HeadersType;
    onError?: (error: ErrorState) => void;
}>;
export declare const AxiosProvider: React.MemoExoticComponent<(props: ProviderPros) => JSX.Element>;
export {};
